package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.NetworkMapMapper;
import com.zyc.system.domain.NetworkMap;
import com.zyc.system.service.INetworkMapService;

/**
 * 网络拓扑Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class NetworkMapServiceImpl implements INetworkMapService 
{
    @Autowired
    private NetworkMapMapper networkMapMapper;

    /**
     * 查询网络拓扑
     * 
     * @param id 网络拓扑主键
     * @return 网络拓扑
     */
    @Override
    public NetworkMap selectNetworkMapById(Integer id)
    {
        return networkMapMapper.selectNetworkMapById(id);
    }

    /**
     * 查询网络拓扑列表
     * 
     * @param networkMap 网络拓扑
     * @return 网络拓扑
     */
    @Override
    public List<NetworkMap> selectNetworkMapList(NetworkMap networkMap)
    {
        return networkMapMapper.selectNetworkMapList(networkMap);
    }

    /**
     * 新增网络拓扑
     * 
     * @param networkMap 网络拓扑
     * @return 结果
     */
    @Override
    public int insertNetworkMap(NetworkMap networkMap)
    {
        return networkMapMapper.insertNetworkMap(networkMap);
    }

    /**
     * 修改网络拓扑
     * 
     * @param networkMap 网络拓扑
     * @return 结果
     */
    @Override
    public int updateNetworkMap(NetworkMap networkMap)
    {
        return networkMapMapper.updateNetworkMap(networkMap);
    }

    /**
     * 批量删除网络拓扑
     * 
     * @param ids 需要删除的网络拓扑主键
     * @return 结果
     */
    @Override
    public int deleteNetworkMapByIds(Integer[] ids)
    {
        return networkMapMapper.deleteNetworkMapByIds(ids);
    }

    /**
     * 删除网络拓扑信息
     * 
     * @param id 网络拓扑主键
     * @return 结果
     */
    @Override
    public int deleteNetworkMapById(Integer id)
    {
        return networkMapMapper.deleteNetworkMapById(id);
    }
}
